For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
  • Endpoints
      • POSTCreate a Dataset
      • GETList Datasets
      • GETGet Dataset Usage
      • GETGet a Dataset
      • DELDelete a Dataset
  • Deprecated
  • Audio
  • Batches
    • GETList batches
    • POSTCreate a batch
    • GETRetrieve a batch
    • POSTCancel a batch
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Endpointsv1/datasets

Get Dataset Usage

GET
https://api.cohere.com/v1/datasets/usage
GET
/v1/datasets/usage
1import cohere
2
3co = cohere.Client()
4
5# get usage
6response = co.datasets.get_usage()
7
8print(response)
1{
2 "organization_usage": 2350000000
3}
View the dataset storage usage for your Organization. Each Organization can have up to 10GB of storage across all their users.
Was this page helpful?
Previous

Get a Dataset

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Response

A successful response.
organization_usagelong
The total number of bytes used by the organization.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error